Commit c01e2f23 authored by Daniel Scheffler's avatar Daniel Scheffler
Browse files

Changed module name from ptds to py_tools_ds to fix bug of pip installer. Changed license.

- updated __version__ and __versionalias__
parent 868b2a6f
......@@ -15,8 +15,7 @@ except ImportError:
import gdal
from ..coord_trafo import imYX2mapYX, mapYX2imYX, pixelToMapYX
from py_tools_ds.ptds.dtypes.conversion import get_dtypeStr, dTypeDic_NumPy2GDAL
from ...dtypes.conversion import get_dtypeStr, dTypeDic_NumPy2GDAL
......
......@@ -13,8 +13,8 @@ get_msg = lambda cls, impt:\
def alias_property(*args, **kwargs):
warnings.warn("py_tools_ds.ptds.io.raster.GeoArray.alias_property is deprecated. "
"Use py_tools_ds.ptds.convenience.alias_property instead.",
warnings.warn("py_tools_ds.io.raster.GeoArray.alias_property is deprecated. "
"Use py_tools_ds.convenience.alias_property instead.",
DeprecationWarning)
from ...convenience.object_oriented import alias_property
return alias_property(*args, **kwargs)
......@@ -46,4 +46,4 @@ def NoDataMask(*args, **kwargs):
def CloudMask(*args, **kwargs):
warnings.warn(get_msg('GeoArray',"from geoarray.masks import CloudMask"), DeprecationWarning, stacklevel=2)
from geoarray.masks import CloudMask
return CloudMask(*args, **kwargs)
\ No newline at end of file
return CloudMask(*args, **kwargs)
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment